let table = game.wfrp4e.tables.findTable("mutatephys");
if (!table)
{
	return ui.notifications.error("Table de Mutation introuvable, veuillez vous assurer qu'une table avec la clé `mutatephys` est importée dans le monde.")
}
let result = (await table.roll()).results[0];
let uuid = `Compendium.${result.documentCollection}.${result.documentId}`
let item = await fromUuid(uuid);

if (item)
{
    this.script.notification(`${item.name} added`)
    this.actor.createEmbeddedDocuments("Item", [item])
}
else
{
    ui.notifications.error("Impossible de trouver l'objet : " + uuid)
}